@charset "UTF-8";
html, body, div, span, applet, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
a, abbr, acronym, address, big, cite, code,
del, dfn, em, img, ins, kbd, q, s, samp,
small, strike, strong, sub, sup, tt, var,
b, u, i, center,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, embed,
figure, figcaption, footer, header, hgroup,
menu, nav, output, ruby, section, summary,
time, mark, audio, video {
  margin: 0;
  padding: 0;
  border: 0;
  font-size: 100%;
  font: inherit;
  vertical-align: baseline;
}

/* HTML5 display-role reset for older browsers */
article, aside, details, figcaption, figure,
footer, header, hgroup, menu, nav, section {
  display: block;
}

body {
  line-height: 1;
}

ol, ul {
  list-style: none;
}

blockquote, q {
  quotes: none;
}

blockquote:before, blockquote:after,
q:before, q:after {
  content: '';
  content: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}

/**
 * Featherlight - ultra slim jQuery lightbox
 * Version 1.7.13 - http://noelboss.github.io/featherlight/
 *
 * Copyright 2018, Noël Raoul Bossart (http://www.noelboss.com)
 * MIT Licensed.
**/
html.with-featherlight {
  overflow: hidden;
}

.featherlight {
  display: none;
  position: fixed;
  top: 0;
  right: 0;
  bottom: 0;
  left: 0;
  z-index: 2147483647;
  text-align: center;
  white-space: nowrap;
  cursor: pointer;
  background: #333;
  background: rgba(0, 0, 0, 0);
}

.featherlight:last-of-type {
  background: rgba(0, 0, 0, 0.8);
}

.featherlight:before {
  content: '';
  display: inline-block;
  height: 100%;
  vertical-align: middle;
}

.featherlight .featherlight-content {
  position: relative;
  text-align: left;
  vertical-align: middle;
  display: inline-block;
  overflow: auto;
  padding: 25px 25px 0;
  border-bottom: 25px solid transparent;
  margin-left: 5%;
  margin-right: 5%;
  max-height: 95%;
  background: #fff;
  cursor: auto;
  white-space: normal;
}

.featherlight .featherlight-inner {
  display: block;
}

.featherlight link.featherlight-inner, .featherlight script.featherlight-inner, .featherlight style.featherlight-inner {
  display: none;
}

.featherlight .featherlight-close-icon {
  position: absolute;
  z-index: 9999;
  top: 0;
  right: 0;
  line-height: 25px;
  width: 25px;
  cursor: pointer;
  text-align: center;
  font-family: Arial,sans-serif;
  background: #fff;
  background: rgba(255, 255, 255, 0.3);
  color: #000;
  border: 0;
  padding: 0;
}

.featherlight .featherlight-close-icon::-moz-focus-inner {
  border: 0;
  padding: 0;
}

.featherlight .featherlight-image {
  width: 100%;
}

.featherlight-iframe .featherlight-content {
  border-bottom: 0;
  padding: 0;
  -webkit-overflow-scrolling: touch;
}

.featherlight iframe {
  border: 0;
}

.featherlight * {
  -webkit-box-sizing: border-box;
  box-sizing: border-box;
}

@media only screen and (max-width: 1024px) {
  .featherlight .featherlight-content {
    margin-left: 0;
    margin-right: 0;
    max-height: 98%;
    padding: 10px 10px 0;
    border-bottom: 10px solid transparent;
  }
}

@media print {
  html.with-featherlight > * > :not(.featherlight) {
    display: none;
  }
}

html, body {
  font-size: 12px;
  background: #111;
}

#debug {
  position: fixed;
  left: 10px;
  bottom: 10px;
  background: rgba(128, 128, 128, 0.8);
  color: blue;
  z-index: 101;
  width: 30vw;
  padding: 5px;
  overflow-x: hidden;
}

#debug .success {
  color: green;
}

#debug .danger {
  color: red;
}

#app {
  max-width: 480px;
  margin: 0 auto;
  font-size: 1rem;
  line-height: 1.5;
  color: white;
  font-weight: 300;
  position: relative;
}

#app img {
  max-width: 100%;
}

#app * {
  -webkit-box-sizing: border-box;
          box-sizing: border-box;
}

#app .clearfix:after {
  display: table;
  clear: both;
  content: '';
  width: 100%;
}

#app .apploading {
  position: fixed;
  top: 0;
  left: 0;
  z-index: 100;
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  width: 100%;
  height: 100%;
  background: rgba(0, 0, 0, 0.9);
  color: #c0ac7b;
}

#app .apploading .message {
  -ms-flex-item-align: center;
      -ms-grid-row-align: center;
      align-self: center;
  text-align: center;
  width: 100%;
}

#app .apploading .graph-loading {
  width: 48px;
  height: 48px;
  display: block;
  margin: 0 auto 30px;
}

#app .apploading .icon {
  width: 24px;
  height: 24px;
  display: inline-block;
  margin: 30px 15px;
}

#app .apploading .btn {
  border: 1px solid #c0ac7b;
  padding: 0.5em 3em;
  margin-top: 45px;
  display: inline-block;
  color: #c0ac7b;
}

.featherlight .featherlight-content {
  background: none !important;
}

.popup-default .popup-wrapper {
  background: white;
  border-radius: 10px;
  width: 90vw;
  padding: 40px 20px;
  color: #c0ac7b;
  text-align: center;
}

.popup-default .popup-wrapper .display-text {
  font-size: 2em;
  margin: 30px auto;
}

.popup-default .popup-wrapper .btn-container {
  margin-top: 30px;
  text-align: center;
}

.popup-default .popup-wrapper .btn-container .close {
  display: inline-block;
  background: #c0ac7b;
  color: white;
  padding: 0.5em 3em;
}

.popup-question .popup-wrapper {
  background: white;
  border-radius: 10px;
  width: 90vw;
  padding: 40px 20px;
  color: #c0ac7b;
  text-align: center;
}

.popup-question .popup-wrapper .panel .panel-heading .title {
  text-transform: uppercase;
  font-weight: 500;
  letter-spacing: 0.1em;
  font-size: 1.2em;
}

.popup-question .popup-wrapper .panel .panel-body .option {
  width: 80%;
  display: block;
  margin-top: 1.5em;
  padding: 0.5em 1em;
  border: 1px solid transparent;
  margin-left: auto;
  margin-right: auto;
}

.popup-question .popup-wrapper .panel .panel-body .option.selected {
  border: 1px solid #c0ac7b;
}

.popup-question .popup-wrapper .panel .panel-body .next {
  padding: 0.5em 2em;
  background: #c0ac7b;
  color: white;
  margin-top: 30px;
  display: inline-block;
  opacity: 0.2;
}

.popup-question .popup-wrapper .panel .panel-body .next.danger {
  opacity: 1;
  background: #f66;
}

.popup-question .popup-wrapper .panel .panel-body .next.active {
  opacity: 1;
}

#popup-lv .popup-wrapper {
  background: white;
  border-radius: 10px;
  width: 90vw;
  padding: 40px 20px;
  color: #c0ac7b;
  text-align: center;
}

#popup-lv .popup-wrapper .heading {
  font-size: 1.5rem;
  margin-bottom: 0.5em;
  text-transform: uppercase;
  font-weight: 500;
  letter-spacing: 0.1em;
}

#popup-lv .popup-wrapper .title {
  font-size: 1.4rem;
  text-transform: uppercase;
  font-weight: 500;
  letter-spacing: 0.1em;
}

#popup-lv .popup-wrapper .visual {
  width: 96px;
  height: 96px;
  display: block;
  margin: 14px auto;
  background-size: cover;
  background-position: center;
  border-radius: 50%;
}

#userInfo {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 80px;
  background: -webkit-gradient(linear, left top, left bottom, from(black), to(rgba(0, 0, 0, 0)));
  background: linear-gradient(top, black, rgba(0, 0, 0, 0));
  z-index: 99;
}

#userInfo .userInfo-wrapper {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

#userInfo .userIcon {
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  text-align: center;
  -ms-flex-item-align: center;
      -ms-grid-row-align: center;
      align-self: center;
}

#userInfo .userIcon .userAvatar {
  display: inline-block;
  border-radius: 50%;
  width: 60px;
  height: 60px;
  margin: 10px auto;
  background: rgba(255, 255, 255, 0.2);
}

#userInfo .statusBar {
  -webkit-box-flex: 3;
      -ms-flex: 3;
          flex: 3;
  -ms-flex-item-align: center;
      -ms-grid-row-align: center;
      align-self: center;
}

#userInfo .statusBar .wrapper {
  padding-right: 30px;
}

#userInfo .statusBar .points {
  text-align: right;
  color: rgba(255, 255, 255, 0.5);
  font-size: 0.9em;
  float: right;
}

#userInfo .statusBar .title {
  float: left;
  color: #c0ac7b;
  text-transform: uppercase;
  font-weight: 500;
  letter-spacing: 0.1em;
}

#userInfo .statusBar .name {
  color: white;
}

#userInfo .statusBar .bar {
  width: 100%;
  height: 5px;
  border: 1px solid rgba(255, 255, 255, 0.2);
  position: relative;
}

#userInfo .statusBar .bar .activePoints {
  background: #c0ac7b;
  height: 100%;
  -webkit-transition: all 1s ease-in-out;
  transition: all 1s ease-in-out;
}

#booths {
  color: #c0ac7b;
}

#booths .booth {
  position: relative;
  background: black;
  /*&.stay
            .games
                pointer-events: all
                opacity: 1*/
}

#booths .booth.idle .games {
  pointer-events: none;
  opacity: 0.2;
}

#booths .booth.locked .booth-wrapper .name, #booths .booth.locked .booth-wrapper .details {
  opacity: 0.2;
}

#booths .booth.locked .booth-wrapper .visual .cover {
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 1;
  content: '';
  background: -webkit-gradient(linear, left top, left bottom, from(black), color-stop(rgba(41, 24, 6, 0.8)), to(black));
  background: linear-gradient(to bottom, black, rgba(41, 24, 6, 0.8), black);
}

#booths .booth.locked .booth-wrapper .visual:before {
  position: absolute;
  content: '尚未解鎖軒尼詩奧秘';
  top: 100%;
  left: 00%;
  width: 100%;
  text-align: center;
  color: #c0ac7b;
  z-index: 3;
  letter-spacing: 0.5em;
}

#booths .booth.locked .booth-wrapper .visual:after {
  position: absolute;
  content: '';
  top: 0%;
  left: 0%;
  width: 100%;
  height: 100%;
  background: url("../images/declassified_logo_en.png") no-repeat center center/30%;
  z-index: 2;
}

#booths .booth .booth-wrapper {
  min-height: 100vh;
  position: relative;
  padding-top: 110px;
}

#booths .booth .name {
  font-size: 1.5rem;
  text-align: center;
  position: relative;
  left: 0;
  width: 100%;
  z-index: 3;
  text-transform: uppercase;
  font-weight: 500;
  letter-spacing: 0.1em;
}

#booths .booth .visual {
  position: relative;
  top: 0;
  left: 0;
  height: 0;
  width: 100%;
  padding-bottom: 66%;
  display: block;
  background-size: cover;
  background-position: center;
  z-index: 1;
  margin: 30px auto;
}

#booths .booth .details {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
  padding: 0 30px;
  position: relative;
  bottom: 0px;
  left: 0;
  width: 100%;
  z-index: 2;
}

#booths .booth .details .keylaerning {
  -webkit-box-flex: 3;
      -ms-flex: 3;
          flex: 3;
}

#booths .booth .details .keylaerning .title {
  font-size: 1.75em;
  padding-bottom: 2px;
  border-bottom: 1px solid #c0ac7b;
  margin-bottom: 0.5em;
  display: inline-block;
  text-transform: uppercase;
  font-weight: 500;
  letter-spacing: 0.1em;
}

#booths .booth .details .games {
  text-align: right;
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
}

#booths .booth .details .games .btn-container + .btn-container {
  margin-top: 5px;
}

#booths .booth .details .games .btn {
  border: 2px solid #c0ac7b;
  display: inline-block;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  line-height: 44px;
  text-align: center;
  font-size: 24px;
  position: relative;
}

#booths .booth .details .games .btn.completed:after {
  content: '';
  width: 24px;
  height: 24px;
  line-height: 24px;
  text-align: center;
  font-size: 14px;
  background: #c0ac7b url("../images/checked.png") no-repeat center center/14px;
  position: absolute;
  top: -7px;
  right: -7px;
  border-radius: 50%;
}

#booths .booth .details .games .btn img {
  margin-top: 10px;
  height: 24px;
  display: inline-block;
}

.photoAdjust .popup-wrapper {
  background: #c0ac7b !important;
}

.photoAdjust .intro {
  color: black;
  text-transform: uppercase;
  font-weight: 500;
  letter-spacing: 0.1em;
  text-align: center;
  margin-bottom: 1em;
}

.photoAdjust .select {
  display: -webkit-box;
  display: -ms-flexbox;
  display: flex;
}

.photoAdjust .select .option {
  -webkit-box-flex: 1;
      -ms-flex: 1;
          flex: 1;
  line-height: 30px;
  background: rgba(128, 128, 128, 0.2);
  text-align: center;
  color: white;
}

.photoAdjust .select .option.active {
  background: rgba(128, 128, 128, 0.5);
}

.photoAdjust .photo-wrapper {
  position: relative;
}

.photoAdjust .photo-wrapper .photo {
  display: block;
  width: 100%;
  padding-bottom: 100%;
  height: 0;
  background-color: rgba(255, 255, 255, 0.2);
  background-size: cover;
  background-position: center;
  position: relative;
  z-index: 1;
}

.photoAdjust .photo-wrapper .filter {
  z-index: 2;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

.photoAdjust .photo-wrapper .filter img {
  display: block;
  width: 100%;
  height: auto;
}
/*# sourceMappingURL=styles.css.map */